{
  "AllowedHosts": "*",
  "CallCenterConfiguration": {
    "CallCenterType": "WeiErXin", //XunShi、WeiErXin
    "DeviceConfigs": {
      "Address": "http://192.168.100.100/xml",
      "Authorize": true,
      "ReceiveKey": "E1BBD1BB-A269-44",
      "SendKey": "2A-BA92-160A3B1D",
      "Expired": 86300 //认证过期时间（秒）
    },
    "Wex": {
      "Address": "http://222.212.82.225:8083",
      "Username": "admin",
      "Password": "Wex@12345"
    }
  },
  "ConnectionStrings": {
    "Hotline": "PORT=5432;DATABASE=hotline;HOST=110.188.24.182;PASSWORD=fengwo11!!;USER ID=dev;",
    "Redis": "110.188.24.182:50179,password=fengwo22@@",
    "MongoDB": "mongodb://192.168.100.121:27017",
    "Wex": "server=222.212.82.225;Port=4509;Database=fs_kft;Uid=root;Pwd=Wex@12345;"
  },
  "Cache": {
    "Host": "110.188.24.182",
    "Port": 50179,
    "Password": "fengwo22@@",
    "Database": 3
  },
  "Swagger": true,
  "Cors": {
    "Origins": [ "http://10.210.252.122:8888", "http://localhost:8888", "http://localhost:8113", "http://hotline.12345lm.cn", "http://110.188.24.28:50101", "http://110.188.24.28:50102", "http://110.188.24.28:50301", "http://bs.hotline.12345lm.cn" ]
  },
  "IdentityConfiguration": {
    "Password": {
      "RequiredLength": 8,
      "RequireNonAlphanumeric": true,
      "RequireLowercase": true,
      "RequireUppercase": true
    },
    "User": {
      "RequireUniqueEmail": false
    },
    "SignIn": {
      "RequireConfirmedAccount": false
    },
    "Lockout": {
      "MaxFailedAccessAttempts": 5,
      "DefaultLockoutTimeSpan": "00:01:00"
    },
    "Account": {
      "DefaultPassword": "Fwkj@789"
    },
    "Jwt": {
      "SecretKey": "e660d04ef1d3410798c953f5d7b8a4e1",
      "Issuer": "hotline_server",
      "Audience": "hotline",
      "Scope": "hotline_api",
      "Expired": 86400 //seceonds
    }
  },
  "DatabaseConfiguration": {
    "ApplyDbMigrations": false,
    "ApplySeed": false
  },
  "MqConfiguration": {
    "DbConnectionString": "PORT=5432;DATABASE=fwmq;HOST=110.188.24.182;PASSWORD=fengwo11!!;USER ID=dev;",
    "UseDashBoard": true,
    "RabbitMq": {
      "UserName": "dev",
      "Password": "123456",
      "HostName": "110.188.24.182",
      "VirtualHost": "fwt-master"
    }
  },
  "SmsAccountInfo": {
    "MessageServerUrl": "http://webservice.fway.com.cn:1432/FWebService.asmx/FWay_Service", //短信发送地址
    "AccountUser": "CS12345", //短信系统账号
    "AccountPwd": "9EE3899305A8FC97D6146CAC6B802E6F", //短信系统密码
    "ReturnAccountUser": "fwkj", //短信回传账号
    "ReturnAccountPwd": "fwkj12" //短信回传密码
  },
  "FwClient": {
    "ClientId": "hotline",
    "ClientSecret": "08db29cc-0da0-4adf-850c-1b2689bd535d"
  },
  "ConfigCenter": {
    "ServerAddresses": [ "http://110.188.24.28:8848" ],
    "Namespace": "f5017bc5-af0a-4f85-8e38-6718accc8f36", //dev
    "ServiceName": "hotline"
  },
  "Tr": {
    //"Address": "http://internal.ttf-cti.com:8080",
    //"Username": "yscs",
    //"Password": "123456"
    "Address": "http://222.213.23.229:29003/",
    "Username": "root",
    "Password": "12345678aa",
    "Ip": "222.213.23.229"
  },
  //智能质检
  "AiQuality": {
    "Url": "http://118.121.201.140:19072/"
  },
  //智能回访
  "AiVisit": {
    "Url": "http://118.122.73.80:19061",
    "Appkey": "MTAwMDAx",
    "ServiceVersion": "V1.0.0", //接口版本号
    //"SceneUid": "MTAwMDAxVW7cUNRwRegsLGqb0pvXCU", //场景ID
    //"RuleUid": "MTAwMDAxUbQsuOcmS5ApRyHGyWQr7g", //现有规则ID
    //"VisitFromNameKey": "OC_SCENE_VAR_FIELD14", //来电名称       //开发环境 :OC_SCENE_VAR_FIELD14  //生产环境：OC_SCENE_VAR_FIELD12
    //"VisitFromGenderKey": "OC_SCENE_VAR_FIELD13", //来电性别     //开发环境: OC_SCENE_VAR_FIELD13   //生产环境：OC_SCENE_VAR_FIELD14
    //"VisitCreationTimeKey": "OC_SCENE_VAR_FIELD15", //来电时间   //开发环境:OC_SCENE_VAR_FIELD15    //生产环境：OC_SCENE_VAR_FIELD19
    //"VisitOrderTitleKey": "OC_SCENE_VAR_FIELD16", //工单标题      //开发环境:OC_SCENE_VAR_FIELD16    //生产环境：OC_SCENE_VAR_FIELD20
    //"VisitIsCallOrder": "OC_SCENE_VAR_FIELD17", //是否来电工单 //开发环境：OC_SCENE_VAR_FIELD17          //生产环境：
    ////"QuestionIdOne": "MTAwMDAxK1F9Qnu-QXYolr9JoOI8fM", //服务过程满意度 //开发环境：MTAwMDAxK1F9Qnu-QXYolr9JoOI8fM  //生产环境：MTAwMDAxvgT-2PoYRR8pxyL4p8AJsM
    //"QuestionIdZone": "MTAwMDAxvpXEOVcRQR0meGKouw6oXU", //是否联系  //开发环境:MTAwMDAxvpXEOVcRQR0meGKouw6oXU    //测试环境：
    //"QuestionIdOne": "MTAwMDAxP2AJqUCvTU4jsgzvRkADVo", //是否解决 , //开发环境：MTAwMDAxP2AJqUCvTU4jsgzvRkADVo   //生产环境：
    //"QuestionIdTwo": "MTAwMDAx_mLpLD0hSyosIwvgW-byjg", //办件结果满意度 //开发环境：MTAwMDAx_mLpLD0hSyosIwvgW-byjg  //生产环境：MTAwMDAxhIyRJzpwTskpsiXPD-uwl0
    //"QuestionIdThree": "MTAwMDAxos3PXU5TTzEnXMSU8GeApc", //坐席是否满意  //开发环境：  //生产环境：
    //"VisitContentIdOne": "reason1", //办件结果不满意原因 // 开发环境：NotSat2   //生产环境：NotSat2
    //"VisitContentIdTwo": "reason2" //坐席不满意原因  // 开发环境：    //生产环境：
  },
  //企业服务
  "Enterprise": {
    "AddressUrl": "http://172.15.28.11:8835",
    "ClientId": "1476116956",
    "ClientSecret": "6NVnvmsFSC8d3qwgBZmN",
    "TenantId": "000000"
  }
}
